Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.deploy.api.spi
Class DeploymentOptions

    java.lang.Object
      weblogic.deploy.api.spi.DeploymentOptions

All Implemented Interfaces:
  Serializable

public final class DeploymentOptions
extends Object
implements Serializable

Common options for deployment operations.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static boolean` | `ADMIN_ACCESS` Start web application with restricted access (test mode).
`static int` | `CLUSTER_DEPLOYMENT_TIMEOUT` Default deployment timeout value for deployment operations.
`static String` | `EXTERNAL_STAGE` Manual staging of files.
`static boolean` | `FULL_ACCESS` Start web application with normal access
`static String` | `NOSTAGE` Inhibit copying of files to target servers.
`static String` | `STAGE` Force copying of files to target servers.
`static String` | `STAGE_DEFAULT` Use default or configured staging mode.

Constructor Summary
`DeploymentOptions()` Create instance with defaulted options.

Method Summary
`String` | `getAltDD()`
`String` | `getAltWlsDD()`
`String` | `getArchiveVersion()`
`int` | `getClusterDeploymentTimeout()` Milliseconds granted for a cluster deployment task on this application.
`long` | `getForceUndeployTimeout()` Specifies the timeout value in seconds for the force undeploy operation.
`String` | `getLibImplVersion()`
`String` | `getLibSpecVersion()`
`String` | `getName()`
`String` | `getPlanVersion()`
`int` | `getRetireTime()` Specifies how long to wait in seconds before retiring an application that has been replaced with a newer version.
`String` | `getSecurityModel()`
`String` | `getStageMode()` Indicates how files will be made available to managed servers.
`String` | `getVersionIdentifier()`
`boolean` | `isGracefulIgnoreSessions()` Specifies whether the graceful production to admin mode operation should ignore pending HTTP sessions.
`boolean` | `isGracefulProductionToAdmin()` Specifies whether the production to admin mode operation should be graceful.
`boolean` | `isLibrary()`
`boolean` | `isNameFromLibrary()` Indicates that the app name should be derived from the library manifest
`boolean` | `isNoVersion()` Indicates that the operation will skip version checks on the app source So that we can relax the restriction on the existance of the app source on the admin server for really large apps
`boolean` | `isRetireGracefully()` Specifies the retirement policy to gracefully retire an app only after it has completed all in-flight work.
`boolean` | `isSecurityValidationEnabled()`
`boolean` | `isUndeployAllVersions()` Specifies whether the undeploy operation force undeploy all app versions irrespective of in-flight work.
`void` | `setAltDD(String altDD)`
`void` | `setAltWlsDD(String altWlsDD)`
`void` | `setArchiveVersion(String version)`
`void` | `setClusterDeploymentTimeout(int timeInMillis)`
`void` | `setForceUndeployTimeout(long timeInSecs)`
`void` | `setGracefulIgnoreSessions(boolean b)`
`void` | `setGracefulProductionToAdmin(boolean b)`
`void` | `setLibImplVersion(String version)`
`void` | `setLibrary(boolean isLibrary)`
`void` | `setLibSpecVersion(String version)`
`void` | `setName(String name)`
`void` | `setNameFromLibrary(boolean nameFromLibrary)`
`void` | `setNoVersion(boolean ignoreVersion)` Indicates that the operation will skip version checks on the app source So that we can relax the restriction on the existance of the app source on the admin server for really large apps
`void` | `setPlanVersion(String planVersion)`
`void` | `setRetireGracefully(boolean b)`
`void` | `setRetireTime(int i)`
`void` | `setSecurityModel(String model)`
`void` | `setSecurityValidationEnabled(boolean enable)`
`void` | `setStageMode(String s)`
`void` | `setUndeployAllVersions(boolean b)`
`void` | `setVersionIdentifier(String version)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADMIN_ACCESS

    public static final boolean ADMIN_ACCESS

  Start web application with restricted access (test mode).

  See Also:
    Constant Field Values

### CLUSTER_DEPLOYMENT_TIMEOUT

    public static final int CLUSTER_DEPLOYMENT_TIMEOUT

  Default deployment timeout value for deployment operations. Time is in milliseconds.

  See Also:
    Constant Field Values

### EXTERNAL_STAGE

    public static final String EXTERNAL_STAGE

  Manual staging of files.

  See Also:
    Constant Field Values

### FULL_ACCESS

    public static final boolean FULL_ACCESS

  Start web application with normal access

  See Also:
    Constant Field Values

### NOSTAGE

    public static final String NOSTAGE

  Inhibit copying of files to target servers.

  See Also:
    Constant Field Values

### STAGE

    public static final String STAGE

  Force copying of files to target servers.

  See Also:
    Constant Field Values

### STAGE_DEFAULT

    public static final String STAGE_DEFAULT

  Use default or configured staging mode.

Constructor Detail

### DeploymentOptions

    public DeploymentOptions()

  Create instance with defaulted options.

Method Detail

### getAltDD

    public String getAltDD()

### getAltWlsDD

    public String getAltWlsDD()

### getArchiveVersion

    public String getArchiveVersion()

### getClusterDeploymentTimeout

    public int getClusterDeploymentTimeout()

  Milliseconds granted for a cluster deployment task on this application. If any deployment tasks remain active for longer, the task will be cancelled.

  The larger the application, the larger the value for timeout should be, as the gating factor is associated with download time and processing time required to load the application files.

  A server instance checks for timed out deployments about once a minute.

  Only cluster deployments can be timed out.

  Returns:
    The deploymentTimeout value
  Default value:
    ApplicationMBean.DEPLOYMENT_TIMEOUT

### getForceUndeployTimeout

    public long getForceUndeployTimeout()

  Specifies the timeout value in seconds for the force undeploy operation. This is to allow pending requests (which may not be part of the stateful work tracked by graceful undeploy) to finish, see CR186792 for details.

### getLibImplVersion

    public String getLibImplVersion()

### getLibSpecVersion

    public String getLibSpecVersion()

### getName

    public String getName()

  Returns:
    override of the app name. Used only on client side

### getPlanVersion

    public String getPlanVersion()

### getRetireTime

    public int getRetireTime()

  Specifies how long to wait in seconds before retiring an application that has been replaced with a newer version. This policy is only meaningful for redeploy operations and is mutually exclusive to the graceful retirement policy.

### getSecurityModel

    public String getSecurityModel()

### getStageMode

    public String getStageMode()

  Indicates how files will be made available to managed servers. This option is only meaningful for operations that involve initial application file distribution. Attempts to change the staging mode of an existing application will fail.

### getVersionIdentifier

    public String getVersionIdentifier()

### isGracefulIgnoreSessions

    public boolean isGracefulIgnoreSessions()

  Specifies whether the graceful production to admin mode operation should ignore pending HTTP sessions.

### isGracefulProductionToAdmin

    public boolean isGracefulProductionToAdmin()

  Specifies whether the production to admin mode operation should be graceful. The default is force.

### isLibrary

    public boolean isLibrary()

### isNameFromLibrary

    public boolean isNameFromLibrary()

  Indicates that the app name should be derived from the library manifest

  Returns:

### isNoVersion

    public boolean isNoVersion()

  Indicates that the operation will skip version checks on the app source So that we can relax the restriction on the existance of the app source on the admin server for really large apps

### isRetireGracefully

    public boolean isRetireGracefully()

  Specifies the retirement policy to gracefully retire an app only after it has completed all in-flight work. This policy is only meaningful for redeploy operations and is mutually exclusive to the retire timeout policy.

### isSecurityValidationEnabled

    public boolean isSecurityValidationEnabled()

### isUndeployAllVersions

    public boolean isUndeployAllVersions()

  Specifies whether the undeploy operation force undeploy all app versions irrespective of in-flight work.

### setAltDD

    public void setAltDD(String altDD)

### setAltWlsDD

    public void setAltWlsDD(String altWlsDD)

### setArchiveVersion

    public void setArchiveVersion(String version)

### setClusterDeploymentTimeout

    public void setClusterDeploymentTimeout(int timeInMillis)

### setForceUndeployTimeout

    public void setForceUndeployTimeout(long timeInSecs)

### setGracefulIgnoreSessions

    public void setGracefulIgnoreSessions(boolean b)

### setGracefulProductionToAdmin

    public void setGracefulProductionToAdmin(boolean b)

### setLibImplVersion

    public void setLibImplVersion(String version)

### setLibrary

    public void setLibrary(boolean isLibrary)

### setLibSpecVersion

    public void setLibSpecVersion(String version)

### setName

    public void setName(String name)

### setNameFromLibrary

    public void setNameFromLibrary(boolean nameFromLibrary)

### setNoVersion

    public void setNoVersion(boolean ignoreVersion)

  Indicates that the operation will skip version checks on the app source So that we can relax the restriction on the existance of the app source on the admin server for really large apps

### setPlanVersion

    public void setPlanVersion(String planVersion)

### setRetireGracefully

    public void setRetireGracefully(boolean b)

### setRetireTime

    public void setRetireTime(int i)

### setSecurityModel

    public void setSecurityModel(String model)
                          throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### setSecurityValidationEnabled

    public void setSecurityValidationEnabled(boolean enable)

### setStageMode

    public void setStageMode(String s)

### setUndeployAllVersions

    public void setUndeployAllVersions(boolean b)

### setVersionIdentifier

    public void setVersionIdentifier(String version)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD